#
# Creates User, group, and checks the environment - Sajan
RC=0
/usr/sbin/groupadd -f  svcagent >/dev/null 2>&1
  /usr/sbin/useradd -d /home/svcagent  -g root -m svcagent 
#  sed -e '/^svcagent:x:/s/^svcagent:x:/svcagent:NOTVALIDxxxxx:/' /etc/passwd > /etc/passwd.mod || RC=2
#mkuser pgrp=system gecos="Service Agent Administration" svcagent || RC=2
#  cp /etc/passwd.mod /etc/passwd
#  rm /etc/passwd.mod
#echo "Finished USER PRE_I"
#Find if Java Can be Run From the User SVCAGENT. /tmp Permissions may not allow some Users to Run java on AIX Machines

su - svcagent "-c java -version "
if [ $? -ne 0 ]
then
echo " You May Not Have Java Installed on Your System."
echo "Check Access Permissions for the Directory AND/OR Users. "
echo "Tried to Run the command 'su - svcagent java -version' and Failed."
#RC=5
fi
#check for the available disk space in /usr and /var.

usravail=`df -k /usr | awk '{print $4}' | grep -v Available`
varavail=`df -k /var | awk '{print $4}' | grep -v Available`
let usrreq=12288
let varreq=10240
if test $usrreq -gt $usravail
then
echo "Insufficient disk space to install svcagent. "
   let usravailmb=$usravail/1024
   echo "/usr must have atleast 12 MB Free Space. Available is : " $usravailmb "MB"
 RC=5
fi

if test $varreq -gt $varavail
then
   echo "Insufficient disk space to install svcagent. "
   let varavailmb=$varavail/1024
   echo "/var must have minimum 10 MB Free Space. Available is : " $varavailmb " MB"
   RC=5
fi

if [ $RC -ne 0 ]
then
echo "FAILED:SVC:PRE:100044" >&2
exit $RC
fi


rm -f /var/svcagent/hscerr.dtim >/dev/null 2>&1

exit 0
